> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available sources

> Returns details for every source that you can enable in your environment



## OpenAPI

````yaml get /{env_id}/availableSources
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/availableSources:
    get:
      summary: Available sources
      description: Returns details for every source that you can enable in your environment
      operationId: available-sources-retrieve
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - tap: shopify
                      tags:
                        - ecommerce
                      domain: shopify.com
                      label: Shopify
                      type: api
                      icon: >-
                        https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/shopify.svg
                      auto_support: true
                      connect_ui_params:
                        api_key:
                          label: API Key
                          description: Shopify API Key
                          type: password
                        shop:
                          label: Shop
                          description: >-
                            Shopify shop name (ie. the value test_shop in the
                            string https://test_shop.myshopify.com)
                      config:
                        start_date: '2015-01-01T00:00:00.000Z'
                      fieldMap:
                        shop:
                          name: shop
                          selected:
                            - id
                            - name
                            - domain
              schema:
                type: array
                items:
                  type: object
                  properties:
                    tap:
                      type: string
                      example: shopify
                    tags:
                      type: array
                      items:
                        type: string
                        example: ecommerce
                    domain:
                      type: string
                      example: shopify.com
                    label:
                      type: string
                      example: Shopify
                    type:
                      type: string
                      example: api
                    icon:
                      type: string
                      example: >-
                        https://s3.amazonaws.com/cdn.hotglue.xyz/images/logos/shopify.svg
                    auto_support:
                      type: boolean
                      example: true
                      default: true
                    connect_ui_params:
                      type: object
                      properties:
                        api_key:
                          type: object
                          properties:
                            label:
                              type: string
                              example: API Key
                            description:
                              type: string
                              example: Shopify API Key
                            type:
                              type: string
                              example: password
                        shop:
                          type: object
                          properties:
                            label:
                              type: string
                              example: Shop
                            description:
                              type: string
                              example: >-
                                Shopify shop name (ie. the value test_shop in
                                the string https://test_shop.myshopify.com)
                    config:
                      type: object
                      properties:
                        start_date:
                          type: string
                          example: '2015-01-01T00:00:00.000Z'
                    fieldMap:
                      type: object
                      properties:
                        shop:
                          type: object
                          properties:
                            name:
                              type: string
                              example: shop
                            selected:
                              type: array
                              items:
                                type: string
                                example: id
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````